Package fr.gouv.vitam.logbook.common.parameters

# Class LogbookLifeCyclesClientHelper

java.lang.Object
fr.gouv.vitam.logbook.common.parameters.LogbookLifeCyclesClientHelper

@Deprecated public class LogbookLifeCyclesClientHelper extends Object
Deprecated.
Helper implementation of LogbookLifeCyclesClient

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookLifeCyclesClientHelper()`
  Deprecated.
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `checkLogbookParameters(LogbookLifeCycleParameters parameters)`
  Deprecated.
  Check validity of the input and add default date and ServerIdentity
  `void`
  `clear()`
  Deprecated.
  Clear the underlying data structures
  `boolean`
  `containsCreate(String key)`
  Deprecated.
  `boolean`
  `containsUpdate(String key)`
  Deprecated.
  `static LogbookLifeCycleParameters`
  `copy(LogbookLifeCycleParameters source)`
  Deprecated.
  Create a copy in order to allow reuse on client side
  `void`
  `createDelegate(LogbookLifeCycleParameters parameters)`
  Deprecated.
  Create logbook entry using delegation
  To be used ONLY once at top level of process startup (where objectIdentifier is set for the first time).
  `Set<Map.Entry<String,Queue<LogbookLifeCycleParameters>>>`
  `getAllCreations()`
  Deprecated.
  `Set<Map.Entry<String,Queue<LogbookLifeCycleParameters>>>`
  `getAllUpdates()`
  Deprecated.
  `Queue<? extends LogbookLifeCycleParameters>`
  `removeCreateDelegate(String key)`
  Deprecated.
  `Queue<? extends LogbookLifeCycleParameters>`
  `removeUpdateDelegate(String key)`
  Deprecated.
  `void`
  `updateDelegate(LogbookLifeCycleParameters parameters)`
  Deprecated.
  Update logbook entry using delegation
  To be used everywhere except very first time if creation (when objectIdentifier already used once)
  `void`
  `updateDelegateWithKey(String key, LogbookLifeCycleParameters parameters)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogbookLifeCyclesClientHelper

    public LogbookLifeCyclesClientHelper()
    Deprecated.
    Constructor

- ## Method Details

  - ### checkLogbookParameters

    public static String checkLogbookParameters(LogbookLifeCycleParameters parameters)
    Deprecated.
    Check validity of the input and add default date and ServerIdentity
    Parameters:
      `parameters` - to check
    Returns:
      the primary key

  - ### copy

    public static LogbookLifeCycleParameters copy(LogbookLifeCycleParameters source)
    Deprecated.
    Create a copy in order to allow reuse on client side
    Parameters:
      `source` - to copy and reuse
    Returns:
      the copy of the source

  - ### createDelegate

    public void createDelegate(LogbookLifeCycleParameters parameters) throws LogbookClientAlreadyExistsException
    Deprecated.
    Create logbook entry using delegation
    To be used ONLY once at top level of process startup (where objectIdentifier is set for the first time).
    Parameters:
      `parameters` - the entry parameters (can be reused and modified after without impacting the one created)
    Throws:
      `LogbookClientAlreadyExistsException` - if the element already exists
      `IllegalArgumentException` - if some mandatories parameters are empty or null

  - ### updateDelegate

    public void updateDelegate(LogbookLifeCycleParameters parameters) throws LogbookClientNotFoundException
    Deprecated.
    Update logbook entry using delegation
    To be used everywhere except very first time if creation (when objectIdentifier already used once)
    Parameters:
      `parameters` - the entry parameters (can be reused and modified after without impacting the one updated)
    Throws:
      `LogbookClientNotFoundException` - if the element does not yet exists (createDeletage not called before)
      `IllegalArgumentException` - if some mandatories parameters are empty or null

  - ### removeCreateDelegate

    public Queue<? extends LogbookLifeCycleParameters> removeCreateDelegate(String key)
    Deprecated.
    Parameters:
      `key` - of element to remove
    Returns:
      the associated finalize Delegate Queue for creation

  - ### removeUpdateDelegate

    public Queue<? extends LogbookLifeCycleParameters> removeUpdateDelegate(String key)
    Deprecated.
    Parameters:
      `key` - of element to remove
    Returns:
      the associated finalize Delegate Queue for update

  - ### containsUpdate

    public boolean containsUpdate(String key)
    Deprecated.
    Parameters:
      `key` - of element to remove
    Returns:
      the associated finalize Delegate Queue for update

  - ### containsCreate

    public boolean containsCreate(String key)
    Deprecated.

  - ### getAllCreations

    public Set<Map.Entry<String,Queue<LogbookLifeCycleParameters>>> getAllCreations()
    Deprecated.
    Returns:
      the Set of LifeCycles entries in creation mode

  - ### getAllUpdates

    public Set<Map.Entry<String,Queue<LogbookLifeCycleParameters>>> getAllUpdates()
    Deprecated.
    Returns:
      the Set of LifeCycles entries in update mode

  - ### clear

    public void clear()
    Deprecated.
    Clear the underlying data structures

  - ### updateDelegateWithKey

    public void updateDelegateWithKey(String key, LogbookLifeCycleParameters parameters)
    Deprecated.